import { httpApi } from '../../request/httpApi'

export default {

    //获取数据原材
    async queryListData(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/rawMaterials/page',
            method: 'get',
            params: form,
        }, msg)
    },
    //新增
    async addSave(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/rawMaterials/save',
            method: 'post',
            data: form,
        }, msg)
    },
    //编辑
    async updateSave(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/rawMaterials/update',
            method: 'post',
            data: form,
        }, msg)
    },
      //删除
    async delData(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/rawMaterials/remove',
            method: 'get',
            params: form,
        }, msg)
   },
  //导入
  async importRawMaterialsInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/rawMaterials/importRawMaterialsInfo',
            method: 'post',
            data: form,
        }, msg)
  },
  //配比分页
  async queryListProp(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/mixProportion/page',
        method: 'get',
        params: form,
    }, msg)
  },
      //配合比新增
  async matchaddSave(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/mixProportion/save',
        method: 'post',
        data: form,
    }, msg)
},
//配合比编辑
async matchupdateSave(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/mixProportion/update',
        method: 'post',
        data: form,
    }, msg)
},
    //配合比删除
 async matchdelData(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/mixProportion/remove',
        method: 'get',
        params: form,
    }, msg)
   },
}
